Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » failed to run against Eclipse 4.15
failed to run against Eclipse 4.15 [message #1827182] Sat, 09 May 2020 15:47 Go to next message
Stéphane  ournier is currently offline Stéphane ournierFriend
Messages: 307
Registered: July 2009
Senior Member
Hi,
I was using as target platform Eclipse Modeling 2018-09 + EFX 3.6.2.
==> no problem.

When trying to move on Eclipse Modeling 2020-03 + EFX 3.6.2 when starting the application I got a noSuchMethodError see below.

Which latest version of Eclipse runtime, EFX 3.6.2 is compatible with please ?

Thanks for your help.
Stéphane.


Here is the stack trace:
java.lang.NoSuchMethodError: org.eclipse.e4.ui.internal.workbench.ReflectionContributionFactory.<init>(Lorg/eclipse/core/runtime/IExtensionRegistry;)V
at org.eclipse.fx.ui.workbench.base.AbstractE4Application.createApplicationContext(AbstractE4Application.java:580)
at org.eclipse.fx.ui.workbench.fx.E4Application.initE4Workbench(E4Application.java:367)
at org.eclipse.fx.ui.workbench.fx.E4Application$1.run(E4Application.java:232)
at org.eclipse.fx.ui.workbench.fx.E4Application.jfxStart(E4Application.java:271)
at org.eclipse.fx.demo.contacts.ContactWorkbenchApp.jfxStart(ContactWorkbenchApp.java:61)
at org.eclipse.fx.ui.workbench.fx.E4MainThreadApplication.lambda$1(E4MainThreadApplication.java:61)
at com.sun.javafx.application.PlatformImpl.lambda$null$5(PlatformImpl.java:295)
at java.security.AccessController.doPrivileged(Native Method)
at com.sun.javafx.application.PlatformImpl.lambda$runLater$6(PlatformImpl.java:294)
at com.sun.glass.ui.InvokeLaterDispatcher$Future.run(InvokeLaterDispatcher.java:95)
Re: failed to run against Eclipse 4.15 [message #1827312 is a reply to message #1827182] Tue, 12 May 2020 20:43 Go to previous messageGo to next message
Stéphane  ournier is currently offline Stéphane ournierFriend
Messages: 307
Registered: July 2009
Senior Member
Please note I got the same exception with Eclipse 4.14 runtime i.e 2019-12 version.
Re: failed to run against Eclipse 4.15 [message #1827436 is a reply to message #1827312] Thu, 14 May 2020 13:39 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6570
Registered: July 2009
Senior Member
3.6.x is built against a fairly old target platform, we don't upgrade our target platform frequently because we got tired to hunt regressions introduced by the platform team and yes we need to use internal APIs there was/is no way around that. Anyways the current nightly builds run against 2019-12 so you should be able to update to the nightly target

Final note the current nightly is going to be what we'll releasing in the next few weeks.
Re: failed to run against Eclipse 4.15 [message #1827693 is a reply to message #1827436] Wed, 20 May 2020 20:40 Go to previous message
Stéphane  ournier is currently offline Stéphane ournierFriend
Messages: 307
Registered: July 2009
Senior Member
Thanks a lot Tom, it is crystal clear, I'm with you ;D

Same philo to me regarding upgrading a target platform.
I used to run against 2014 Modeling SR1, then 2016 Modeling SR1.
After 4 years, I'm upgrading again: platform, EMF, EFX and CDO.
To get something stable without regressions as you said it could be quite challenging, that why I try to be up-to-date as maximum to have a good ROI of the effort of moving on.

2019-12 with NB builds is perfect for my needs

Thomas Schindl wrote on Thu, 14 May 2020 15:39
3.6.x is built against a fairly old target platform, we don't upgrade our target platform frequently because we got tired to hunt regressions introduced by the platform team and yes we need to use internal APIs there was/is no way around that. Anyways the current nightly builds run against 2019-12 so you should be able to update to the nightly target

Final note the current nightly is going to be what we'll releasing in the next few weeks.

Previous Topic:FXCanvas with custom Transfer types
Next Topic:Error at update
Goto Forum:
  


Current Time: Tue Oct 27 07:46:38 GMT 2020

Powered by FUDForum. Page generated in 0.02007 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top